#include "frmmain.h"
#include "ui_frmmain.h"

FrmMain::FrmMain(QWidget *parent)
  : QMainWindow(parent)
  , ui(new Ui::FrmMain)
{
  ui->setupUi(this);
}

FrmMain::~FrmMain()
{
  delete ui;
}

void FrmMain::on_textEdit_textChanged()
{
  ui->label->setPixmap(GetICON(ui->textEdit->toPlainText()));
}

QPixmap FrmMain::GetICON(const QString &path) {
  QFileIconProvider provider;
  auto icon = provider.icon(QFileInfo(path));
  return icon.pixmap(icon.availableSizes().last());
}
